version: '3.3'

services:
  # Node Exporter
  node-exporter:
    image: prom/node-exporter
    volumes:
      - /proc:/host/proc:ro
      - /sys:/host/sys:ro
      - /:/rootfs:ro
    command:
      - '--path.procfs=/host/proc'
      - '--path.sysfs=/host/sys'
      - --collector.filesystem.ignored-mount-points
      - "^/(sys|proc|dev|host|etc|rootfs/var/lib/docker/containers|rootfs/var/lib/docker/overlay2|rootfs/run/docker/netns|rootfs/var/lib/docker/aufs)($$|/)"
    ports:
      - 9100:9100
    restart: always

  postgres_exporter:
      container_name: postgres-exporter
      environment:
          - 'DATA_SOURCE_NAME=postgresql://postgres@default-group2-database.francecentral.cloudapp.azure.com:5432/?sslmode=disable'
      ports:
          - '9187:9187'
      image: wrouesnel/postgres_exporter
